variable "webup_payara_version" {
  default = "5.2021.9"
}

variable "webup_image_name" {
  default = "webup-payara-full"
}

variable "webup_container_name" {
  default = "webup"
}

variable "webup_network_mode" {
  default = "none"
}

variable "webup_context_root" {
  default = "WebUP"
}

variable "webup_http_external_port" {
  default = "8080"
}

variable "webup_https_external_port" {
  default = "8081"
}

variable "webup_asadmin_external_port" {
  default = "4848"
}

variable "webup_tmp_dir" {
  default = "/tmp"
}

variable "webup_etc_volume" {
  default = "/tmp"
}

variable "webup_var_volume" {
  default = "/tmp"
}

variable "webup_deployments_volume" {
  default = "/tmp"
}

variable "webup_payara_postboot_volume" {
  default = "/tmp"
}

variable "webup_payara_logs_volume" {
  default = "/tmp"
}

variable "webup_share_0" {
  default = "webup_share_0"	
}

variable "webup_share_1" {
  default = "webup_share_1"	
}

variable "webup_share_2" {
  default = "webup_share_2"	
}

variable "webup_share_3" {
  default = "webup_share_3"	
}

variable "webup_share_4" {
  default = "webup_share_4"	
}

variable "webup_share_5" {
  default = "webup_share_5"	
}

variable "webup_share_6" {
  default = "webup_share_6"	
}

variable "webup_share_7" {
  default = "webup_share_7"	
}

variable "webup_share_8" {
  default = "webup_share_8"	
}

variable "webup_share_9" {
  default = "webup_share_9"	
}

variable "webup_share_10" {
  default = "webup_share_10"	
}

variable "webup_share_11" {
  default = "webup_share_11"	
}

variable "webup_share_12" {
  default = "webup_share_12"	
}

variable "webup_share_13" {
  default = "webup_share_13"	
}

variable "webup_share_14" {
  default = "webup_share_14"	
}

variable "webup_share_15" {
  default = "webup_share_15"	
}

variable "webup_share_16" {
  default = "webup_share_16"	
}

variable "webup_share_17" {
  default = "webup_share_17"	
}

variable "webup_share_18" {
  default = "webup_share_18"	
}

variable "webup_share_19" {
  default = "webup_share_19"	
}

variable "webup_shares" {
  default = {}
}

# ---------------------------------------------

variable "webup_asadmin_Xms" {
  default = "4g"
}

variable "webup_asadmin_Xmx" {
  default = "4g"
}

variable "webup_asadmin_MetaspaceSize" {
  default = "256m"
}

variable "webup_asadmin_MaxMetaspaceSize" {
  default = "2g"
}

variable "webup_asadmin_rejectClientInitiatedRenegotiation" {
  default = "true"
}

variable "webup_asadmin_classloadingDelegate" {
  default = "false"
}

variable "webup_asadmin_GC" {
  default = "G1"
}

variable "webup_asadmin_stringDuplication" {
  default = "true"
}

variable "webup_asadmin_disableExplicitGC" {
  default = "true"
}

variable "webup_asadmin_autodeployEnabled" {
  default = "false"
}

variable "webup_asadmin_dynamicReload" {
  default = "false"
}

variable "webup_asadmin_poolResizeQuantity" {
  default = "2"
}

variable "webup_asadmin_maxPoolSize" {
  default = "128"
}

variable "webup_asadmin_steadyPoolSize" {
  default = "10"
}

variable "webup_asadmin_minThreadPoolSize" {
  default = "150"
}

variable "webup_asadmin_maxThreadPoolSize" {
  default = "500"
}

variable "webup_asadmin_httpListener1Enabled" {
  default = "true"
}

variable "webup_asadmin_httpListener2Enabled" {
  default = "false"
}

variable "webup_asadmin_httpMaxConnections" {
  default = "500"
}

variable "webup_asadmin_httpTimeoutSeconds" {
  default = "60"
}

variable "webup_asadmin_httpFileCacheMaxAgeSeconds" {
  default = "3600"
}

variable "webup_asadmin_httpFileCacheEnabled" {
  default = "true"
}

variable "webup_asadmin_acceptorThreads" {
  default = "16"
}

variable "webup_asadmin_httpThreadPoolMinThreadPoolSize" {
  default = "25"
}

variable "webup_asadmin_httpThreadPoolMaxThreadPoolSize" {
  default = "50"
}

variable "webup_asadmin_loggingGFFileHandlerLogtoFile" {
  default = "true"
}

variable "webup_asadmin_loggingGFFileHandlerRotationLimitInBytes" {
  default = "5000000"
}

variable "webup_asadmin_loggingGFFileHandlerMaxHistoryFiles" {
  default = "10"
}

variable "webup_asadmin_hazelcastEnabled" {
  default = "false"
}

variable "webup_asadmin_hazelcastDynamic" {
  default = "true"
}

variable "webup_asadmin_httpMaxFormPostSizeBytes" {
  default = "-1"
}

variable "webup_asadmin_httpXpoweredBy" {
  default = "false"
}

variable "webup_asadmin_httpSchemeMapping" {
  default = "X-Forwarded-Proto"
}

variable "webup_asadmin_disableJSPServletDevelopment" {
  default = "true"
}

variable "webup_asadmin_JSPServletStrAsCharArray" {
  default = "true"
}

variable "webup_asadmin_dumpIfOutOfMemory" {
  default = "false"
}

variable "webup_asadmin_jfr" {
  default = "false"
}
